Subject: Re: 8xx v2.6 TLB problems and suggested workaround

From: Pantelis Antoniou <[email-masked]>
Date: Tue, 05 Apr 2005 10:08:44 +0300

Marcelo Tosatti wrote:
> Hum,
> 
> The machine seems to be acting strange, but it boots normally 
> and applications run (more importantly there is no TLB entry 
> which could cause dcbst fault strangeness).
> 
> Some "dd" hangs till I press "ctrl+c", others just work. Really strange. 
> 
> G'night, I'll look at it tomorrow.
>  
> [root@(none) /]# time dd if=/dev/zero of=file bs=16k count=400
> 400+0 records in
> 400+0 records out
>                                                                                         
> real    0m4.261s
> user    0m0.040s
> sys     0m1.240s
> [root@(none) /]# time dd if=/dev/zero of=file bs=32k count=400
>                                                                                         
>                                                                                         
> real    0m50.369s
> user    0m0.040s
> sys     0m1.680s  (ctrl+c)
> [root@(none) /]# 
> 
> 

I can confirm that the patch works.

I no longer need the tlbie in update_mmu_cache.

/tmp # time dd if=/dev/zero of=file bs=16k count=400
400+0 records in
400+0 records out
real    0m 0.55s
user    0m 0.01s
sys     0m 0.52s

/tmp is tmpfs

Well done Marcelo!

Regards

Pantelis

P.S. CPU errata perhaps?